> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Member Withdrawals

Returns a list of the pay withdrawals for a given member, pagination is supported.

<Warning>
  This endpoint is deprecated in favour of [GET /v1/pay/withdrawals](/api-reference/pay/get-withdrawals) and will be
  removed in the next version of the API. The new endpoint also allows member-specific filtering, as well as more
  complex querying.
</Warning>


## OpenAPI

````yaml GET /v1/pay/members/{memberId}/withdrawals
openapi: 3.0.2
info:
  title: BMO Partner API
  version: v1
servers:
  - url: https://api.onsi.com
    description: Production
  - url: https://api.onsi.dev
    description: Sandbox
security:
  - apiKey: []
paths:
  /v1/pay/members/{memberId}/withdrawals:
    get:
      tags:
        - pay
      summary: Show withdrawals for the member
      operationId: getMemberWithdrawals
      parameters:
        - name: memberId
          in: path
          description: The unique identifier for a Member, prefixed with mem_
          required: true
          schema:
            example: mem_<id>
            type: string
        - name: skip
          in: query
          required: true
          schema:
            default: 0
            type: number
        - name: take
          in: query
          required: true
          schema:
            default: 50
            type: number
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  withdrawals:
                    type: array
                    items:
                      type: object
                      properties:
                        amount:
                          $ref: '#/components/schemas/Money'
                        fee:
                          $ref: '#/components/schemas/Money'
                        payCycleId:
                          example: pc_<id>
                          description: >-
                            The unique identifier for a PayCycle, prefixed with
                            pc_
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      required:
                        - amount
                        - fee
                        - payCycleId
                        - createdAt
                      additionalProperties: false
                  skip:
                    example: 0
                    type: number
                  take:
                    example: 50
                    type: number
                  total:
                    example: 1
                    type: number
                required:
                  - withdrawals
                  - skip
                  - take
                  - total
                additionalProperties: false
      deprecated: true
components:
  schemas:
    Money:
      title: Money
      description: A monetary value with currency.
      type: object
      properties:
        amount:
          example: 1050
          description: Price in lowest denomination of currency (e.g. cents)
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        currency:
          example: GBP
          description: ISO 4217 currency code
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWL
      required:
        - amount
        - currency
      additionalProperties: false
      x-instanceOf: Money
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````